Package io.vertx.rxjava3.sqlclient

## Class Transaction

- java.lang.Object
- - io.vertx.rxjava3.sqlclient.Transaction

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class Transaction
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A transaction.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<Transaction>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Transaction​(Transaction delegate)` |
    `Transaction​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Completable` | `commit()` | Commit the current transaction.
    `Completable` | `completion()` | Return the transaction completion `Future` that succeeds when the transaction commits and fails with `TransactionRollbackException` when the transaction rolls back.
    `boolean` | `equals​(Object o)` |
    `Transaction` | `getDelegate()` |
    `int` | `hashCode()` |
    `static Transaction` | `newInstance​(Transaction arg)` |
    `Completable` | `rollback()` | Rollback the transaction and release the associated resources.
    `Completable` | `rxCommit()` | Commit the current transaction.
    `Completable` | `rxCompletion()` | Return the transaction completion `Future` that succeeds when the transaction commits and fails with `TransactionRollbackException` when the transaction rolls back.
    `Completable` | `rxRollback()` | Rollback the transaction and release the associated resources.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Transaction> __TYPE_ARG

  - ### Constructor Detail

    - #### Transaction

          public Transaction​(Transaction delegate)

    - #### Transaction

          public Transaction​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Transaction getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### commit

          public Completable commit()

      Commit the current transaction.
      Returns:

    - #### rxCommit

          public Completable rxCommit()

      Commit the current transaction.
      Returns:

    - #### rollback

          public Completable rollback()

      Rollback the transaction and release the associated resources.
      Returns:

    - #### rxRollback

          public Completable rxRollback()

      Rollback the transaction and release the associated resources.
      Returns:

    - #### completion

          public Completable completion()

      Return the transaction completion `Future` that succeeds when the transaction commits and fails with `TransactionRollbackException` when the transaction rolls back.
      Returns:
        the transaction result

    - #### rxCompletion

          public Completable rxCompletion()

      Return the transaction completion `Future` that succeeds when the transaction commits and fails with `TransactionRollbackException` when the transaction rolls back.
      Returns:
        the transaction result

    - #### newInstance

          public static Transaction newInstance​(Transaction arg)